[Win32utils-devel] Demo daemon failure with mingw

Daniel Berger djberg96 at gmail.com
Wed Sep 7 02:18:18 EDT 2011


> I am able to start DemoSvc with mingw Ruby 1.9 just same as Ruby 1.8.7
> on Windows 7 64bit.
> 
> C:\work>ruby -v
> ruby 1.9.2p290 (2011-07-09) [i386-mingw32] C:\work>ver
> 
> Microsoft Windows [Version 6.1.7601]
> C:\work>gcc -v
> Using built-in specs.
> COLLECT_GCC=gcc
> COLLECT_LTO_WRAPPER=c:/devkit/mingw/bin/../libexec/gcc/mingw32/4.5.2/lt
> o-wrapper
> .exe
> Target: mingw32
> Configured with: ../../src/gcc-4.5.2/configure --build=mingw32 --
> enable-language s=c,c++,ada,fortran,objc,obj-c++ --enable-threads=win32
> --enable-libgomp --enabl e-lto --enable-fully-dynamic-string --enable-
> libstdcxx-debug --enable-version-sp ecific-runtime-libs --with-gnu-ld -
> -disable-nls --disable-win32-registry --disab le-symvers --disable-
> werror --prefix=/mingw32tdm --with-local-prefix=/mingw32tdm  --enable-
> cxx-flags='-fno-function-sections -fno-data-sections' --with-pkgversio
> n=tdm-1 --enable-sjlj-exceptions --with-bugurl=http://tdm-
> gcc.tdragon.net/bugs
> Thread model: win32
> gcc version 4.5.2 (tdm-1)

After I upgraded to the latest 1.9 distro it worked. Hm.

Anyway, I've pushed out win32-service 0.7.2. This one includes two binaries for win32-daemon, one for 1.8 and one for 1.9, and the appropriate one is used depending on which version of Ruby you're using.

Regards,

Dan



More information about the win32utils-devel mailing list